import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra multitenant set

Updates the properties of a multitenant organization

## Usage

```sh
m365 entra multitenant set [options]
```

## Options

```md definition-list
`-n, --displayName [displayName]`
: New display name of the multitenant organization. Both options, `displayName` and `description` are optional but at least must be specified.

`-d, --description [description]`
: New description of the multitenant organization. Both options, `displayName` and `description` are optional but at least must be specified.
```

<Global />

## Remarks

:::info

To use this command you must be at least **Security Administrator**.

:::

## Permissions
<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                           |
  |-----------------|---------------------------------------|
  | Microsoft Graph | MultiTenantOrganization.ReadWrite.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                           |
  |-----------------|---------------------------------------|
  | Microsoft Graph | MultiTenantOrganization.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Update display name of multitenant organization.

```sh
m365 entra multitenant set --displayName 'Fabrikam organization'
```

Update display name and description of multitenant organization.

```sh
m365 entra multitenant set --displayName 'Fabrikam organization' --description 'Multitenant organization between Fabrikam and Contoso'
```

## Response

The command won't return a response on success

## More information

- Multitenant organization: https://learn.microsoft.com/entra/identity/multi-tenant-organizations/overview
